
package com.tmerclub.cloud.common.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 属性值-国际化表DTO
 *
 * @author YXF
 * @date 2021-04-15 16:47:33
 */
public class SpuAttrValueLangDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "属性值id")
    private Long spuAttrValueId;

    @Schema(description = "语言 0.通用 1.中文 2.英文")
    private Integer lang;

    @Schema(description = "属性名称")
    private String attrName;

    @Schema(description = "属性值")
    private String attrValueName;

    @Schema(description = "属性值")
    private String attrDesc;

    public Long getSpuAttrValueId() {
        return spuAttrValueId;
    }

    public void setSpuAttrValueId(Long spuAttrValueId) {
        this.spuAttrValueId = spuAttrValueId;
    }

    public Integer getLang() {
        return lang;
    }

    public void setLang(Integer lang) {
        this.lang = lang;
    }

    public String getAttrName() {
        return attrName;
    }

    public void setAttrName(String attrName) {
        this.attrName = attrName;
    }

    public String getAttrValueName() {
        return attrValueName;
    }

    public void setAttrValueName(String attrValueName) {
        this.attrValueName = attrValueName;
    }

    public String getAttrDesc() {
        return attrDesc;
    }

    public void setAttrDesc(String attrDesc) {
        this.attrDesc = attrDesc;
    }

    @Override
    public String toString() {
        return "SpuAttrValueLangDTO{" +
                "spuAttrValueId=" + spuAttrValueId +
                ",lang=" + lang +
                ",attrName=" + attrName +
                ",attrValueName=" + attrValueName +
                ",attrDesc=" + attrDesc +
                '}';
    }
}
